Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image
Class SVGComposite.LightenCompositeContext_INT_PACK

    java.lang.Object
      org.apache.batik.ext.awt.image.SVGComposite.AlphaPreCompositeContext
          org.apache.batik.ext.awt.image.SVGComposite.AlphaPreCompositeContext_INT_PACK
              org.apache.batik.ext.awt.image.SVGComposite.LightenCompositeContext_INT_PACK

All Implemented Interfaces:
  CompositeContext

Enclosing class:
  SVGComposite

    public static class SVGComposite.LightenCompositeContext_INT_PACK

extends SVGComposite.AlphaPreCompositeContext_INT_PACK

Method Summary
`void` | `precompose_INT_PACK(int width, int height, int[] srcPixels, int srcAdjust, int srcSp, int[] dstInPixels, int dstInAdjust, int dstInSp, int[] dstOutPixels, int dstOutAdjust, int dstOutSp)`

Methods inherited from class org.apache.batik.ext.awt.image.SVGComposite.AlphaPreCompositeContext_INT_PACK
`precompose`

Methods inherited from class org.apache.batik.ext.awt.image.SVGComposite.AlphaPreCompositeContext
`compose, dispose`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### precompose_INT_PACK

    public void precompose_INT_PACK(int width,
                                    int height,
                                    int[] srcPixels,
                                    int srcAdjust,
                                    int srcSp,
                                    int[] dstInPixels,
                                    int dstInAdjust,
                                    int dstInSp,
                                    int[] dstOutPixels,
                                    int dstOutAdjust,
                                    int dstOutSp)

  Specified by:
    `precompose_INT_PACK` in class `SVGComposite.AlphaPreCompositeContext_INT_PACK`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.